__sata_phy_reset
Prev | Chapter 4. libata Library | Next

## Name

__sata_phy_reset — Wake/reset a low-level SATA PHY

## Synopsis

`void __sata_phy_reset (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  SATA port associated with target SATA PHY.

## Description

This function issues commands to standard SATA Sxxx PHY registers, to wake up the phy (and device), and clear any reset condition.

## LOCKING

PCI/etc. bus probe sem.

Prev | Up | Next
sata_print_link_status | Home | sata_phy_reset